Subject: Re: bug#44333: 27.1; macOS menu bar 2-clicks

From: Alan Third <[email-masked]>
Date: Sun, 27 Dec 2020 16:56:59 +0000

On Sat, Dec 26, 2020 at 09:52:10PM +0000, Alan Third wrote:
> On Sat, Dec 26, 2020 at 06:42:18PM +0100, Mattias Engdegård wrote:
> > 26 dec. 2020 kl. 18.07 skrev Alan Third <[email-masked]>:
> > 
> > > Does the attached seem any better? It appears to me like the first
> > > click on a menu is slightly faster (but that may be my imagination),
> > > and subsequent menus are instant.
> > 
> > Not bad at all! Slow spells all gone as far as I can tell. Ship it!
> 
> Cool. I might do some further tidying up. I'll see how I feel.

I've pushed a modified version of this code to master.

It doesn't work on GNUstep, but GNUstep menus have been broken for a
while anyway, and I don't know what's wrong with them.

-- 
Alan Third